Skip to main content
POST
Mobile 360 Send OTP Request

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

x-api-version
string
default:2024-12-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2024-12-01"

Body

application/json

Find the request parameters to send the OTP to the mobile number.

verification_id
string
default:test_verification_id
required

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Only alphaumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"test_verification_id"

mobile_number
string
default:9999999999
required

It is the 10 digit mobile number of individual.

Example:

"9999999999"

notification_modes
string[]
required

Modes for sending OTP Possible values are

  • SMS
  • WHATSAPP

Consent details for Mobile360 Send OTP.

name
string
default:John Doe

Name of the individual, a correct name can increase the success rate of data retrieval.

Example:

"John Doe"

Response

Response for Mobile360 Send OTP.

verification_id
string

Unique ID of the verification request.

Example:

"ABC00122"

mobile_number
string

Mobile number of the individual.

Example:

"9999999999"

status
string

It displays the status of the API request. Possible values are

  • OTP_GENERATED: The OTP has been successfully generated.
Example:

"OTP_GENERATED"

reference_id
integer

Reference ID for the transaction.

Example:

123454

name
string

Name of the individual.

Example:

"John Doe"

notification_modes
string[]

Modes for sending OTP Possible values are

  • SMS
  • WHATSAPP